'contact@jbheren.com
'this code converts a "semicolon separated values" into a xls file (with columns seperation)
'usage: cscript mycvs2xls.vbs source_full_path target_directory

'Option Explicit
Dim strXlsFile,oEx,strSrcFullPath,strSrcFileName,objTmpArray,strDelimiter,strTargetDir,strExtension,strSourceFile,filesys
Const xlDelimited  = 1
Const xlTextQualifierNone = 2

If( WScript.Arguments.Count < 2 ) Then
 WScript.Echo( vbCrLf &" usage: cscript mycvs2xls.vbs source_full_path target_directory")
 WScript.Echo( vbCrLf &" example: " &vbCrLf &" cscript mycsv2xls.vbs c:\tmp\cvsfiles\file001.csv c:\temp\xlsfiles")
 WScript.Quit()
End If

strSrcFullPath = WScript.Arguments.Item(0)
strTargetDir   = WScript.Arguments.Item(1)
objTmpArray    = Split(strSrcFullPath,"\")
strSrcFileName = objTmpArray(UBound(objTmpArray))
If( Right(strTargetDir,1) <> "\" ) Then
 strTargetDir = strTargetDir & "\"
End If
objTmpArray    = Split(strSrcFileName,".")
strExtension   = objTmpArray(UBound(objTmpArray))
strSrcFileName = Replace(strSrcFileName,"."&strExtension,"")
strXlsFile     = strTargetDir &strSrcFileName &".xls"
strSourceFile  = "TEXT;"&strSrcFullPath

'Suppression du fichier destination s'il existe
Set filesys = CreateObject("Scripting.FileSystemObject")
If filesys.FileExists(strXlsFile) Then
   filesys.DeleteFile strXlsFile
End If 
Set filesys = Nothing

'on cre l'instance d'application Excel
set oEx=Createobject("Excel.Application")
'on cre un classeur vide
oEx.Workbooks.Add

'import des donnes du fichier plat spar par des point-virgule (semicolon)
With oEx.ActiveWorkbook.ActiveSheet.QueryTables.Add(strSourceFile, oEx.Range("A1"))
        .Name = "ADgroups"
        .FieldNames = True
        .RowNumbers = False
        .FillAdjacentFormulas = False
        .PreserveFormatting = True
        .RefreshOnFileOpen = False
        .RefreshStyle = xlInsertDeleteCells
        .SavePassword = False
        .SaveData = True
        .AdjustColumnWidth = True
        .RefreshPeriod = 0
        .TextFilePromptOnRefresh = False
        .TextFilePlatform = 850
        .TextFileStartRow = 1
        .TextFileConsecutiveDelimiter = False
        .TextFileTabDelimiter = False
        .TextFileSemicolonDelimiter = True
        .TextFileCommaDelimiter = False
        .TextFileSpaceDelimiter = False
        .TextFileColumnDataTypes = Array(1, 1, 1, 1, 1, 1, 1)
        .TextFileTrailingMinusNumbers = True
        .Refresh False
End With

'Sauvegarde et destruction des objets.
oEx.ActiveWorkbook.SaveAs strXlsFile, -4143, , , False, False
oEx.ActiveWorkbook.Close True
oEx.Application.Quit
Set oEx = Nothing